Subject: bug#25203: 25.1; crash during message, infinite recursion

From: Noam Postavsky <[email-masked]>
Date: Thu, 15 Dec 2016 11:11:38 -0500

On Thu, Dec 15, 2016 at 10:55 AM, Eli Zaretskii <[email-masked]> wrote:
>
> If someone is going to argue that Lisp code should never crash Emacs,
> then I can see the following alternatives:
>
>   1. Inhibit messages while calling pre-write-conversion.
>   2. Signal an error when pre-write-conversion is called recursively.
>
> I think none of these is a good idea, as they disallow perfectly valid
> use cases which don't hit this problem.  The 2nd one is also error
> prone in its naïve implementation, and too complex IMO in non-naïve
> ones.

Shouldn't max-specdl or max-lisp-eval-depth be catching too deep
recursive calls?